PeopleForce
Job Profiles

List job profiles

GET
/api/public/v3/job_profiles

Query Parameters

page?integer

Which page of results to return. Defaults to 1.

Formatint32
Range1 <= value

Response Body

application/json

application/json

curl -X GET "https://example.com/api/public/v3/job_profiles"
{  "data": [    {      "id": 0,      "name": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "job_group": {        "id": 0,        "name": "string"      },      "fields": {        "property1": {          "name": "string",          "value": "string"        },        "property2": {          "name": "string",          "value": "string"        }      },      "salary_band_min": "string",      "salary_band_max": "string",      "salary_band_currency": "string"    }  ],  "metadata": {    "pagination": {      "page": 0,      "pages": 0,      "count": 0,      "items": 0    }  }}